diff --git a/nix/sources.json b/nix/sources.json
index daa1401062474aeb8ce82cb7d0b8c8940e9c683c..c9904ecfaed74d3d25325fb795fe0a0493b0e876 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -272,20 +272,6 @@         "type": "tarball",
         "url": "https://github.com/semlanik/microjson/archive/0d9f50e407cd117e56582faf0d99bfececc1b6ea.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
-    "musig": {
-        "branch": "master",
-        "builtin": false,
-        "date": "2020-02-22T23:15:04Z",
-        "description": "A shazam like tool to store musics fingerprints and retrieve them",
-        "homepage": "https://github.com/sfluor/musig",
-        "owner": "sfluor",
-        "repo": "musig",
-        "rev": "f445fa128b826c1cee527afdcc97e3e1e8433c32",
-        "sha256": "1h201rqn74hcspxjigq50vj4rl526x8s0sx18j5gbswisf84bgql",
-        "type": "tarball",
-        "url": "https://github.com/sfluor/musig/archive/f445fa128b826c1cee527afdcc97e3e1e8433c32.tar.gz",
-        "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
-    },
     "odict": {
         "branch": "master",
         "builtin": false,
diff --git a/pkgs/development/python-modules/bson/default.nix b/pkgs/development/python-modules/bson/default.nix
index 04f296e17793fc66eb384f6af0a7277dd9cfcb36..26a8248c12bea35452dc433fb28c5e871831071c 100644
--- a/pkgs/development/python-modules/bson/default.nix
+++ b/pkgs/development/python-modules/bson/default.nix
@@ -6,9 +6,9 @@   version = "0.5.10";
 
   src = fetchFromGitHub {
     owner = "py-bson";
-    repo = "bson";
+    repo = pname;
     rev = "a68073661c637051985f3d0c24b8c7828a4c3ff4";
-    sha256 = "0gh0kbblmxnidr9xp05d8nlfjna7461bxx82l82mwwz1a7i7x36d";
+    hash = "sha256-zYx+4lHhc14FogL1voIhR1npqEWtgNtTbtH2SteaAD4=";
   };
 
   propagatedBuildInputs = with python3Packages; [ python-dateutil six ];
diff --git a/pkgs/development/python-modules/geotiler/default.nix b/pkgs/development/python-modules/geotiler/default.nix
index b0fa34bb2e75fc3ac55315575a91909e607018ed..238309ac7fe511f9c2b81d08852fbfb74bc86b0e 100644
--- a/pkgs/development/python-modules/geotiler/default.nix
+++ b/pkgs/development/python-modules/geotiler/default.nix
@@ -6,9 +6,9 @@   version = "0.14.4";
 
   src = fetchFromGitHub {
     owner = "wrobell";
-    repo = "geotiler";
+    repo = pname;
     rev = "geotiler-${version}";
-    sha256 = "1b0cvf1dq9vdwwyki1qnmr8mmhrj3sjybbil6p34f0i634pgnk1q";
+    hash = "sha256-OEz7LhkmAkfGNTSu5aUeMsNaUa4Whzg9520n3ILbDKw=";
   };
 
   postPatch = ''
diff --git a/pkgs/development/python-modules/s2sphere/default.nix b/pkgs/development/python-modules/s2sphere/default.nix
index 3a95578fe7e55114a32ec1c8753a91e121e4d343..9d03db069a0a3c1665390130cc1ca81c54ef2e10 100644
--- a/pkgs/development/python-modules/s2sphere/default.nix
+++ b/pkgs/development/python-modules/s2sphere/default.nix
@@ -1,14 +1,14 @@
 { lib, fetchFromGitHub, python3Packages }:
 
-python3Packages.buildPythonPackage {
+python3Packages.buildPythonPackage rec {
   pname = "s2sphere";
   version = "0.2.5";
 
   src = fetchFromGitHub {
     owner = "sidewalklabs";
-    repo = "s2sphere";
+    repo = pname;
     rev = "d1d067e8c06e5fbaf0cc0158bade947b4a03a438";
-    sha256 = "0jidg5bg6qpiji8j2r8s8abxxs08ldkc7rdplhbnfw6k4axlh4za";
+    hash = "sha256-6hNIuyLTcGcXpLflw2ajCOjel0IaZSFRlPFi81Z5LUo=";
   };
 
   propagatedBuildInputs = with python3Packages; [ future ];
diff --git a/pkgs/dict/opendict/default.nix b/pkgs/dict/opendict/default.nix
index 2cbd567b5d979a639d577e109e448f578ea3b47b..3db84d35796c394fa355c9b4aeda60e929944d65 100644
--- a/pkgs/dict/opendict/default.nix
+++ b/pkgs/dict/opendict/default.nix
@@ -6,9 +6,9 @@   version = "0.6.8";
 
   src = fetchFromGitHub {
     owner = "nerijus";
-    repo = "opendict";
+    repo = pname;
     rev = version;
-    sha256 = "0jgamfrvadbbj08yracx22j4350l3j7bgvw3w9yb6in2hh0wflbf";
+    hash = "sha256-blHHAYTCRrN84oPvt44cFJRBpBCdqewRkGs1tbOr6kk=";
   };
 
   patches = [ ./0001-fix-makefile.patch ];
diff --git a/pkgs/dict/redict/default.nix b/pkgs/dict/redict/default.nix
index 70e814eb23546b1726d42303cf05285e074c19e7..22ed1ae03e7684e242c31488f0cd50dcc97888e3 100644
--- a/pkgs/dict/redict/default.nix
+++ b/pkgs/dict/redict/default.nix
@@ -21,9 +21,9 @@   version = "2019-06-21";
 
   src = fetchFromGitHub {
     owner = "rekols";
-    repo = "redict";
+    repo = pname;
     rev = "525aac01ed5fc0f74f8393dc5b5b3bb57c9b0c5f";
-    sha256 = "1zlad1bmlyy4hirm93f0744c98y9hg11b32ym06rsax719qj2rjl";
+    hash = "sha256-VGYhcQqnK50NqF6MFcKDyaPECDnAjVRzhMR7Wldoiv4=";
   };
 
   nativeBuildInputs = [ qmake pkg-config ]
diff --git a/pkgs/dict/tatoebatools/default.nix b/pkgs/dict/tatoebatools/default.nix
index 3203b1e0bce0ddcc2f5a6cfc2c77f6b186471785..9d1262690bae9aec4c96c1a9d6ea12985d6ed005 100644
--- a/pkgs/dict/tatoebatools/default.nix
+++ b/pkgs/dict/tatoebatools/default.nix
@@ -6,9 +6,9 @@   version = "0.1.1";
 
   src = fetchFromGitHub {
     owner = "LBeaudoux";
-    repo = "tatoebatools";
+    repo = pname;
     rev = "c3b4e40886233a83e30a517d63a1eee0547650d7";
-    sha256 = "1h977ghl13jj5xvyan88xjqgbp31ckk4krr2jgjl65c30wyrjlkj";
+    hash = "sha256-clKZPQeDFUPlkyLnSeZkYdz1sOwIWeV3L1KOQOE7J8E=";
   };
 
   patches = lib.optional (!checkLang) ./dont-check-lang-validity.patch
diff --git a/pkgs/dict/zdict/default.nix b/pkgs/dict/zdict/default.nix
index f442141151dcc3027dff7fb2ec343421dd22b5c0..a8a9a332f1218fc845a197e382e06a2dd2b423ea 100644
--- a/pkgs/dict/zdict/default.nix
+++ b/pkgs/dict/zdict/default.nix
@@ -6,9 +6,9 @@   version = "3.8.2";
 
   src = fetchFromGitHub {
     owner = "zdict";
-    repo = "zdict";
+    repo = pname;
     rev = version;
-    sha256 = "0x0952m0yknzpvpfc5qxwijx2fa163rqsvs8masv0n2h9fl5rr8z";
+    hash = "sha256-H+VcqEtQWLC1qkhvjfMwQTnRZeQdF+buvt9OD6ooCXQ=";
   };
 
   propagatedBuildInputs = with python3Packages; [
diff --git a/pkgs/embox/default.nix b/pkgs/embox/default.nix
index 3a63cf6be62b25522558bb165f36b817d395e7a3..cf19494f7fbb8b3e917d6df759bc7b7dae8709ba 100644
--- a/pkgs/embox/default.nix
+++ b/pkgs/embox/default.nix
@@ -14,7 +14,7 @@ }:
 let
   cjson = fetchurl {
     url = "mirror://sourceforge/cjson/cJSONFiles.zip";
-    sha256 = "19qdsfq4r7gjr39lkjplz418gkl2xg5j5fpdz9phlxlbggnklqhd";
+    hash = "sha256-DWI67XuLdgpv+u26Isvrgs6HAvn0yknTyPKdTLDTDac=";
   };
 
   runScript = writers.writeBash "run-embox" ''
@@ -29,13 +29,13 @@   '';
 in
 stdenv.mkDerivation rec {
   pname = "embox";
-  version = "0.5.1";
+  version = "0.5.2";
 
   src = fetchFromGitHub {
     owner = "embox";
-    repo = "embox";
+    repo = pname;
     rev = "v${version}";
-    sha256 = "0lvlmw60ab3n48cqb857phsvw9mpc5qfva4dw7wyilgs635x567c";
+    hash = "sha256-hX9rcREgAXJF2paIkekTShig/Ttx/TWZGgPVrBt9xeA=";
   };
 
   patches = [ ./0001-fix-build.patch ];
diff --git a/pkgs/garmin/garmin-uploader/default.nix b/pkgs/garmin/garmin-uploader/default.nix
index 73094673d2bf1cd20703bdfe45c7d5acfb0da44b..7c9c9a407759d621c497161f6389b4fb9d595213 100644
--- a/pkgs/garmin/garmin-uploader/default.nix
+++ b/pkgs/garmin/garmin-uploader/default.nix
@@ -6,7 +6,7 @@   version = "1.0.9";
 
   src = fetchFromGitHub {
     owner = "La0";
-    repo = "garmin-uploader";
+    repo = pname;
     rev = version;
     hash = "sha256-OHY4f+0jfxKXiwRJRdSarlb2H+lEt2EVoAAsD4aEc9o=";
   };
diff --git a/pkgs/gemini/gmi2html/default.nix b/pkgs/gemini/gmi2html/default.nix
index 8e04313622b81e5a1e25ebef1de8163fecc3e40e..e52a9cdf2780654cfa4aaa42f343c9ff6794c570 100644
--- a/pkgs/gemini/gmi2html/default.nix
+++ b/pkgs/gemini/gmi2html/default.nix
@@ -6,7 +6,7 @@   version = "0.2.0";
 
   src = fetchFromGitHub {
     owner = "shtanton";
-    repo = "gmi2html";
+    repo = pname;
     rev = "v${version}";
     hash = "sha256-VJEonhY7tFLnA9Tn9KAR32YSwRmDPLDTzKLWlDwD1Nk=";
   };
diff --git a/pkgs/gemini/gmnigit/default.nix b/pkgs/gemini/gmnigit/default.nix
index 65d3bce6619cae94fefe17e9157136be01b2e276..ddc4c447c3e493d9fbe466ce3cf6fa28842b7769 100644
--- a/pkgs/gemini/gmnigit/default.nix
+++ b/pkgs/gemini/gmnigit/default.nix
@@ -2,16 +2,16 @@ { lib, buildGoModule, fetchFromSourcehut }:
 
 buildGoModule rec {
   pname = "gmnigit";
-  version = "2021-04-16";
+  version = "2021-04-24";
 
   src = fetchFromSourcehut {
     owner = "~kornellapacz";
     repo = pname;
-    rev = "9cdc82885cf4286f621f8cb7f26c45aa4e513ad6";
-    hash = "sha256-1oZDzrFPLjIxq9egRCzQPR0kzD/ZWrrVY+r6V8cMpPM=";
+    rev = "8070917b7e55893ecf4be648a55459e5a7a92ecc";
+    hash = "sha256-cn4Netr/CYT8bG0qqBcbC+V7NrYCtxWbajD+3Sc4DkY=";
   };
 
-  vendorSha256 = "0kjz21bzn829k10x3fvsvij4zxmi1ahq4bnk62lghrvazjbqk2r9";
+  vendorSha256 = "sha256-KYuJl/xqZ/ioMNMugqEKsfZPZNx6u9FBmEkg+1cQX04=";
 
   meta = with lib; {
     description = "Static git gemini viewer";
diff --git a/pkgs/gemini/kiln/default.nix b/pkgs/gemini/kiln/default.nix
index 92efe111e3724c9d26fae16ba74489bc9973ed15..7645def4e9a36cd05fa0f581fa830ee6aeb6d64f 100644
--- a/pkgs/gemini/kiln/default.nix
+++ b/pkgs/gemini/kiln/default.nix
@@ -1,17 +1,31 @@
-{ lib, buildGoModule, fetchFromSourcehut }:
+{ lib, buildGoModule, fetchFromSourcehut, scdoc }:
 
 buildGoModule rec {
   pname = "kiln";
-  version = "2021-04-24";
+  version = "2021-04-26";
 
   src = fetchFromSourcehut {
     owner = "~adnano";
     repo = pname;
-    rev = "1b7f5b4ab4863217e92995962be67b2c43567bda";
-    hash = "sha256-nzgIwYzNkf7dHO7xIChBVCVX3PMbsAObzLiOyOKpSZQ=";
+    rev = "2409741e19577421ed8a1630b738f4facca1b041";
+    hash = "sha256-/xbCThs/kGN/4Gym8hXW1FvlhB4Jd4Y80Y6YQl7km9E=";
   };
 
+  nativeBuildInputs = [ scdoc ];
+
   vendorSha256 = "sha256-nNK1Hv3MiD1XbYw5aqjk4AmFdN3LHCvUIFHEX75Ox0Y=";
+
+  buildPhase = ''
+    runHook preBuild
+    # we use make instead of go build
+    runHook postBuild
+  '';
+
+  installPhase = ''
+    runHook preInstall
+    make PREFIX=$out install
+    runHook postInstall
+  '';
 
   meta = with lib; {
     description = "A simple static site generator for Gemini";
diff --git a/pkgs/gemini/shavit/default.nix b/pkgs/gemini/shavit/default.nix
index 8806ec7f2022b51e5ab1f920785a7c6a6e57e62e..36a03fd797fbcc003166e69bfd2b6abd644a4e51 100644
--- a/pkgs/gemini/shavit/default.nix
+++ b/pkgs/gemini/shavit/default.nix
@@ -11,7 +11,7 @@     rev = "129b3e7fc700d02843c4fbd3e7cc73bf714f9cc2";
     hash = "sha256-LEI7cJkyLPVtkplbRwGFHKXiKiiMerE9EDgQ0vWL4Qk=";
   };
 
-  vendorSha256 = "00avyrznhgw4zxp6z6n8zi86nsvm91iygm26401k3vp3i24ydhda";
+  vendorSha256 = "sha256-qsHmiYjj7jEDIEbU52NIdWtrUPzImm9u/4Q/aH/2WwE=";
 
   meta = with lib; {
     description = "Gemini server";
diff --git a/pkgs/misc/cfiles/default.nix b/pkgs/misc/cfiles/default.nix
index 7ddae41d34593c96832ee40a27cacb7100e58825..f18495ec22f76576dadb7560900646b2cc1e551e 100644
--- a/pkgs/misc/cfiles/default.nix
+++ b/pkgs/misc/cfiles/default.nix
@@ -6,9 +6,9 @@   version = "1.8";
 
   src = fetchFromGitHub {
     owner = "mananapr";
-    repo = "cfiles";
+    repo = pname;
     rev = "v${version}";
-    sha256 = "1nj20d839a2q3m23hbv53vdv6ifkjb5qjcsyxdw3k7l6841qx4v3";
+    hash = "sha256-Y5OOA0GGnjl4614zicuS00Wz2x5lLzhEHVioNFADQto=";
   };
 
   nativeBuildInputs = [ pkg-config ];
diff --git a/pkgs/misc/gef/default.nix b/pkgs/misc/gef/default.nix
index 183196b5357231ad95936f2bb218ddb71766448c..bace61441f3ba63ab41657d53118627262778504 100644
--- a/pkgs/misc/gef/default.nix
+++ b/pkgs/misc/gef/default.nix
@@ -29,13 +29,13 @@   ];
 in
 stdenv.mkDerivation rec {
   pname = "gef";
-  version = "2021.01";
+  version = "2021.04";
 
   src = fetchFromGitHub {
     owner = "hugsy";
-    repo = "gef";
+    repo = pname;
     rev = version;
-    sha256 = "0gw112s16pdjd5csp8ap0qq2d3bkp2s8pyhjbw4f8k0mkgy1j66i";
+    hash = "sha256-nxwVaUFtFlDFWCUpXPh4FOuqMJ+COsOZv9IyKZ6dvg8=";
   };
 
   dontBuild = true;
diff --git a/pkgs/misc/ht/default.nix b/pkgs/misc/ht/default.nix
index 9c245dcf152de7d7aab45fecda5c0086ccb630e1..02df0308c33f6a95f5702fe038f39c928595a7c2 100644
--- a/pkgs/misc/ht/default.nix
+++ b/pkgs/misc/ht/default.nix
@@ -6,7 +6,7 @@   version = "0.6.0";
 
   src = fetchFromGitHub {
     owner = "ducaale";
-    repo = "ht";
+    repo = pname;
     rev = "v${version}";
     hash = "sha256-0HrSQmSQ1B2xMQaaSmY8tKyzn7e5yP1oyLXojD4PdSA=";
   };
diff --git a/pkgs/misc/musig/default.nix b/pkgs/misc/musig/default.nix
index bbfb9a9db2bca395c203bb14fa3820475dbd2751..f11593a05dfe61767614e9f00f4a4b8842046960 100644
--- a/pkgs/misc/musig/default.nix
+++ b/pkgs/misc/musig/default.nix
@@ -1,12 +1,17 @@
-{ lib, buildGoModule, pkg-config, portaudio, sources }:
+{ lib, fetchFromGitHub, buildGoModule, pkg-config, portaudio }:
 
 buildGoModule rec {
-  pname = "musig-unstable";
-  version = lib.substring 0 10 sources.musig.date;
+  pname = "musig";
+  version = "1.0.0";
 
-  src = sources.musig;
+  src = fetchFromGitHub {
+    owner = "sfluor";
+    repo = pname;
+    rev = version;
+    hash = "sha256-FL9FkNOR6/WKRKFroFE3otBM5AYFvyj71QySY3EOQMA=";
+  };
 
-  vendorSha256 = "0ha1xjdwibm8543b4bx0xrbigngiiakksdc6mnp0mz5y6ai56pg5";
+  vendorSha256 = "sha256-5V1TojK+/AqurYY1PaeK8dkXV+6gL7IGKaiuyJvsQUE=";
 
   nativeBuildInputs = [ pkg-config ];
 
@@ -19,7 +24,8 @@
   installCheckPhase = "$out/bin/musig --version";
 
   meta = with lib; {
-    inherit (sources.musig) description homepage;
+    description = "A shazam like tool to store songs fingerprints and retrieve them";
+    inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
diff --git a/pkgs/osm/osm-area-tools/default.nix b/pkgs/osm/osm-area-tools/default.nix
index 7c74ada1c17f3f3cf3a918f2080e754eb4ed10b4..e3551d76dcccc44d5d9eece5349612e02ab5129a 100644
--- a/pkgs/osm/osm-area-tools/default.nix
+++ b/pkgs/osm/osm-area-tools/default.nix
@@ -30,9 +30,7 @@     boost
     bzip2
     expat
     gdal
-    (libosmium.overrideAttrs (old: {
-      cmakeFlags = [ "-DINSTALL_GDALCPP:BOOL=ON" ];
-    }))
+    libosmium
     protozero
     sqlite
     zlib
diff --git a/pkgs/osm/sdlmap/default.nix b/pkgs/osm/sdlmap/default.nix
index 50a1e98e3764537d15241e6181669ee868f98462..898b41f25d9ae4b5523372b38749f10ca446e4d5 100644
--- a/pkgs/osm/sdlmap/default.nix
+++ b/pkgs/osm/sdlmap/default.nix
@@ -6,7 +6,7 @@   version = "2014-02-09";
 
   src = fetchFromGitHub {
     owner = "jhawthorn";
-    repo = "sdlmap";
+    repo = pname;
     rev = "0baa8fb4472751c28bfe8b063070ea8b2d459224";
     hash = "sha256-W09WzCKmuMjV1L2c1bvlBCmNvXxYgGNU/MLtu6TTsIg=";
   };
diff --git a/pkgs/osm/taginfo-tools/default.nix b/pkgs/osm/taginfo-tools/default.nix
index 9e9e48b1951bcb329dad8b4ced733f16f774e03d..3816cc8b094897de626b9ee528ad7ca125e8bf0e 100644
--- a/pkgs/osm/taginfo-tools/default.nix
+++ b/pkgs/osm/taginfo-tools/default.nix
@@ -1,14 +1,14 @@
 { lib, stdenv, fetchFromGitHub, cmake, bzip2, expat, gd, icu, libosmium, protozero, sqlite, zlib, sources }:
 
-stdenv.mkDerivation {
+stdenv.mkDerivation rec {
   pname = "taginfo-tools";
-  version = "2020-11-17";
+  version = "2020-11-26";
 
   src = fetchFromGitHub {
     owner = "taginfo";
-    repo = "taginfo-tools";
-    rev = "6b68c4208aef7994d34ef745350ee0ceda850ac2";
-    sha256 = "0hk15k6lynq8yskpfrwh79686pfacdyb4jfab7x20m027p5rm3vs";
+    repo = pname;
+    rev = "52888a81d56e090f7e3b89c99342989ae476bb31";
+    sha256 = "sha256-VSO9J0ZAgp7FBJFaD1sm/z1NrehEcnwypBifsMwC3vc=";
     fetchSubmodules = true;
   };
 
diff --git a/pkgs/suckless/lacc/default.nix b/pkgs/suckless/lacc/default.nix
index e8def8d722f6019fa747cf734e00679bb1bc4362..228ebd30e66353fcb284f3f41fe67cfdfa563894 100644
--- a/pkgs/suckless/lacc/default.nix
+++ b/pkgs/suckless/lacc/default.nix
@@ -6,7 +6,7 @@   version = "2021-04-21";
 
   src = fetchFromGitHub {
     owner = "larmel";
-    repo = "lacc";
+    repo = pname;
     rev = "f6ab3973d44ce79e469c4c3dc770a8b2e7a5543f";
     hash = "sha256-L9EW7Zl5PxOIGJwSwhq1gvAkN8fbpHg7gSbtTzuBHSE=";
   };
diff --git a/pkgs/suckless/sfm/default.nix b/pkgs/suckless/sfm/default.nix
index f80681e48a92286288d737eb5a988af1fe1d3a8d..1e23d972f86d3690f3d42769645d00a04cb4dc81 100644
--- a/pkgs/suckless/sfm/default.nix
+++ b/pkgs/suckless/sfm/default.nix
@@ -6,7 +6,7 @@   version = "2021-03-13";
 
   src = fetchFromGitHub {
     owner = "afify";
-    repo = "sfm";
+    repo = pname;
     rev = "b6063fd0a91a0ee976a09c79cbeb097ba26bfd21";
     hash = "sha256-tRT8snpxXKwOHFT9GoK8xQnu8mQbUfbujyii2paQEaU=";
   };
diff --git a/pkgs/suckless/xprompt/default.nix b/pkgs/suckless/xprompt/default.nix
index 78182015ff3b15d56883712273b8cc3ba0e85299..512a92ef45dc71d1fd3b244702afae590f69d4f7 100644
--- a/pkgs/suckless/xprompt/default.nix
+++ b/pkgs/suckless/xprompt/default.nix
@@ -6,7 +6,7 @@   version = "2.4.0";
 
   src = fetchFromGitHub {
     owner = "phillbush";
-    repo = "xprompt";
+    repo = pname;
     rev = "v${version}";
     hash = "sha256-/Hyi0ZvOxS2MWzeX4Ng0QqOGzPGQytkBHwQufT39JAI=";
   };
diff --git a/pkgs/tools/geo/cmpgpx/default.nix b/pkgs/tools/geo/cmpgpx/default.nix
index fdebea2f2d4c3350b503429bd0da054b2124fb6f..34512a81bb5dc5c23225496bb01e6476b4ea47ea 100644
--- a/pkgs/tools/geo/cmpgpx/default.nix
+++ b/pkgs/tools/geo/cmpgpx/default.nix
@@ -6,9 +6,9 @@   version = "2015-06-05";
 
   src = fetchFromGitHub {
     owner = "jonblack";
-    repo = "cmpgpx";
+    repo = pname;
     rev = "ec3ff781da9b7bcbc2dee44a3bd641cbd5005efe";
-    sha256 = "1fq215a8xa2q3nppab162dabs4nxyh0x2sd631k40gn3n14s75l8";
+    hash = "sha256-iJajSbDDPkBmGKZp0QH03RK9VBMmLHWvHViojlQJArs=";
   };
 
   propagatedBuildInputs = with python3Packages; [ cairocffi geotiler gpxpy numpy ];
diff --git a/pkgs/tools/geo/render_geojson/default.nix b/pkgs/tools/geo/render_geojson/default.nix
index de08c1a255e1216717c3db2c9b57e83964cda3dc..de587cd800b0abaa1074e629792a0dff9751ef69 100644
--- a/pkgs/tools/geo/render_geojson/default.nix
+++ b/pkgs/tools/geo/render_geojson/default.nix
@@ -6,9 +6,9 @@   version = "2018-07-11";
 
   src = fetchFromGitHub {
     owner = "pedro-vicente";
-    repo = "render_geojson";
+    repo = pname;
     rev = "ed65a22f45fc09784fa113fe93254492d88663c2";
-    sha256 = "063faznw81dh4bah0hd3rl258x18cxbn88bcqdxc0avsidw7ijaz";
+    hash = "sha256-X8l4eIt6K8B6w2whZFdnKHRUBM2jQQDVIrAFxO1Xbhg=";
   };
 
   nativeBuildInputs = [ autoreconfHook ];