diff --git a/flake.lock b/flake.lock
index 018cbbe7de3dab79a522614d62abe6b5c100810a..ed4fd7f95b4dcc45e2ee573dc71185144476d3b0 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1710283812,
-        "narHash": "sha256-F+s4//HwNEXtgxZ6PLoe5khDTmUukPYbjCvx7us2vww=",
+        "lastModified": 1710534455,
+        "narHash": "sha256-huQT4Xs0y4EeFKn2BTBVYgEwJSv8SDlm82uWgMnCMmI=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "73bf415737ceb66a6298f806f600cfe4dccd0a41",
+        "rev": "9af9c1c87ed3e3ed271934cb896e0cdd33dae212",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 41a9c7d7208c0fa2dce0db25af83ba05614e7c67..8444720cc07636a7899b8cd6de91cec01c2c34a1 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -36,7 +36,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2024-03-09";
+  version = "2024-03-16";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 567d9f940c0ce8e108f4c79ff4a1090d66cc2901..dcdd60068cc719c6ab63ad3cf3849672fedecd6f 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -5,19 +5,19 @@     "hash": "sha256-bhQM1xjV0QVFEez1Idcqzbal3Umrdz85+hca/1vYW7c="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-BPd34M/OLsYh6pm2oS3zw8erqpvcM1hgc85iFgz6VQs="
+    "hash": "sha256-OEh9ak1yXNSpJNZ06Df9GYTT75/wQ5K+hE0EX6JUjrY="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-0Rs3INA8bwNNJiY9SzapUrcdOv8LUUvgoPdqnr/3fbQ="
+    "hash": "sha256-m3ZMKGQKCuKhR5j455Ncv6jIYET3TGZ/EwWkCZZn9fs="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-qZJGEycguDG4HvaFr+zYVv1jaEddp3BaBVPACYyVu/k="
+    "hash": "sha256-RPITsOgq+JkL/GMApslpcwmhBGFua9+1beSY3FvFk/g="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-+ufw6rtqzGc4OoBQHhxi7rUjK401An+Wlte6sQFcN3g="
+    "hash": "sha256-DV2wfMFYdjlkrI7UwZ8IKzPsF3Vr9Us5xSrVwK15/Ms="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
@@ -25,15 +25,15 @@     "hash": "sha256-dIMh7qk+oI7WdZF592ei4+H7Svbf6U8W62mL79558gc="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Bv6HwVDYOdrYk5H7QW7zjCp3bSJ8kOluInPTFwrt94o="
+    "hash": "sha256-7ICVSHfC6iKpHCdeuKTAoSO2G9/zGYcGLyFXD2vre6E="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ofliE7k8/ppFLsRi6u6DRJLG1NBXTLKNt09l8jYYuXU="
+    "hash": "sha256-MvzkQM4AguJYz/7hC8kRs7/9kLAVzwwRzE17N1Axghg="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-yv9gamqrRgTNGk9TZRALfNRrxKOLIcxqyyVkoMdZV1k="
+    "hash": "sha256-YB28mwqnB4t9NbVyjjTE83wvzMtw60ISLjYUucuP9/c="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
@@ -45,15 +45,15 @@     "hash": "sha256-bi6VSY6udh4+iiXWmWl4TINokAl4litcr3wOYMs/dn4="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-SC9lBQ2tYsQKvMjo4butIVUVg+73E6zMxQOfVX6F/5Y="
+    "hash": "sha256-iWJuNeBbfRyE+PWrLXwXoj0IUX/9QgjrRxZUDFi1ew4="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-FqihGvsFd+SrUnCgVbyYQvBY8Ruf2CIrikFzrxzHx+c="
+    "hash": "sha256-XLOj1C+/DsDTZ9sidkGz/mezDva87hEE10rTnhj9hK8="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-jEONLYQhbtMYq5qDgr1V5M0c8AWxexWJzNZxpobfR1I="
+    "hash": "sha256-WeM8K9WwOkT68Tj/Zrs9pMZ/kzpYmMx8Ld0WqIQUDlg="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
@@ -61,11 +61,11 @@     "hash": "sha256-jClkd+55d24OTRo6tNhOqtwm92C4iz7Y9bDxyupF2XU="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-phktl6BW6fO8tQdMySCxwRM+sqbzdI5+vwSUZ5ku0Bg="
+    "hash": "sha256-xIS1XZrJhNFz8ERJ/pNZlam3gqvjbDTDxsK3EZXpGRc="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-N+9odxeCRYsT21+BsXsyVgMWhnqPepdKUf4y7tIKerk="
+    "hash": "sha256-mH/fUV3p2po8Zqz0CgCqy/J/ji49D/M6k4nqC/71yGc="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
@@ -73,27 +73,27 @@     "hash": "sha256-18OKq8AUsSsvnYmK7feauKIxN3fLSKibeQdQwZ+E/rM="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-EoIWt8bz1EthwptphMfnkKQdIPi83Ec9UoT2diSu9Bo="
+    "hash": "sha256-kdHFQUNp6pmn43Y6NvmmRvokZA5SEA04hYUFal+qaN4="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-up5VlYcd2Pxofx3Qjp3mnpk4RpzORYvCvQXrvIUeBIk="
+    "hash": "sha256-UEuAtm8lhqWVo+WSOHniw5nEcfjycp2E8q/bZ+ZoB/8="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-/UyvhF+MkoH/Q76rSoETtCgcb3x3RGbZGkdNXKo6lRA="
+    "hash": "sha256-5LkwUmdGKZMlh9sAKLSANA19VXEDr9orOWoBkdi+rhg="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-ILtNyJBTm+tn6NVXMnhOshGAgyS2wiolRjuM6pYRxI8="
+    "hash": "sha256-nVZrMXY1nyDvcsKoOl04BZJBgyrtskilJ5y8LTx3LMY="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-i9f1sXs8co6k/oOU84ZkcsviTLuDGw0+XRGO8eOu28M="
+    "hash": "sha256-9mlqAoC8kQP6B2UCDnOO7LdwzQVH0/0lVapw7rZrbP4="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-6GbvWewovhLxlYqAv0sb7MFicWRZQ/3fFe3sknUT9Lk="
+    "hash": "sha256-H/VT775M5yhxkLY/Cok4ZSi9+X4y5gaX8cd0ZyOSpwg="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -113,15 +113,15 @@     "hash": "sha256-8jUcZyWrg8pDApz0skAsh/LPoYtJjghItwVgKbKpsfU="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-kRY+jMATxLR262ZLQ7+U3GvxL/t2vPLR1wL9cxNIMx0="
+    "hash": "sha256-VgtID7MkvmVCIsHgk0/Qq1+c5Aw+YXyMl0fJHlQSEi8="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-IoijigAPZ7Z7E0efzG6OAeaslR4Ge5/hGdaL5Nfgwvk="
+    "hash": "sha256-+ypdW/46LLfytS9F/jkcJYfRNYsHNDLhaDljCe/wthM="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-BSLKZTPyohAAHTi80ueiuj9ItiKX4PVZG+4feTSnpnE="
+    "hash": "sha256-tWfjZeZbO4qbOF1SG6oirWQi6IiQztOZ4I5K/xzb+tI="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -133,26 +133,26 @@     "hash": "sha256-UfFsaUD/7v5mrBNApTe6M/xxRi9hwVIIu+VDZ0HHvQE="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
-    "hash": "sha256-c1VXAFWk8zOkA31NYF2Y0NUjLRRMDBkCREssRSIImzQ="
+    "hash": "sha256-F7JAJsndUHkZ3v7MxbCT6Buq7ZLqnq4+ChmZbEJ4jWw="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-e0bGVHbD1YGCkMiIThjYqn6kyV4Fqc7DCBQ33F4ZDwg="
+    "hash": "sha256-QaRj9OxXRK9huC34ohUFioQI1DOmyrTynigqF7zbPnc="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-7HsACVQPFJ+5YLErlB5mOWY2F66rBMrvwpc6tY9DVEo="
+    "hash": "sha256-u9Nfhu9csQ9rGCHpNpxJB7+DxSGNa6bxby8pDA8tlN8="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
-    "hash": "sha256-vgSFZqLIrkmz7nbuznJVIMSr5eFydZDh19AiL/HOCsc="
+    "hash": "sha256-hhZtbe3uqRCixN+itdu0hN7hVjtuVf18Dtohr3NeZnQ="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-YomPi6+H6V4YC0UayWLa8AeTxUOTrDQ/hulLPxBXqCc="
+    "hash": "sha256-gyrkGR+81F1wQA+ZdjDDA8uyMECUIw04F5w3vDAcs00="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-Aeddzmq/q7Dl0fs5NdURyM0EBlRAfC4Kr3/aA+QtDYo="
+    "hash": "sha256-dCpGRY0aEN8c+sxtvfanYsc6vOWbn07tK0tusuTq5KE="
   }
 }
diff --git a/pkgs/development/libraries/iso15765-canbus/default.nix b/pkgs/development/libraries/iso15765-canbus/default.nix
index 976f6ea3df723b964836dc3ec011d4c9a6f16c0c..adf5a6d180e7a3931f5436a62f2dca5643b4a81d 100644
--- a/pkgs/development/libraries/iso15765-canbus/default.nix
+++ b/pkgs/development/libraries/iso15765-canbus/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub }:
 
 stdenv.mkDerivation rec {
   pname = "iso15765-canbus";
-  version = "2024-01-17";
+  version = "0-unstable-2024-01-17";
 
   src = fetchFromGitHub {
     owner = "devcoons";
diff --git a/pkgs/garmin/garminimg/default.nix b/pkgs/garmin/garminimg/default.nix
index 8eb38673cab9174f96cc8b70c160cd5cbfefc7bd..6a890668db961760a600872e3f88756c1e7225a8 100644
--- a/pkgs/garmin/garminimg/default.nix
+++ b/pkgs/garmin/garminimg/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub, cmake, gdal, proj, wrapQtAppsHook }:
 
 stdenv.mkDerivation rec {
   pname = "garminimg";
-  version = "2021-01-07";
+  version = "0-unstable-2021-01-07";
 
   src = fetchFromGitHub {
     owner = "kiozen";
diff --git a/pkgs/garmin/gimgtools/default.nix b/pkgs/garmin/gimgtools/default.nix
index 652f21ae0837c80717607af97ed021d20cb93e3a..4819b1b8863f02e4aac835e0f0178e5a0d7b9ef7 100644
--- a/pkgs/garmin/gimgtools/default.nix
+++ b/pkgs/garmin/gimgtools/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub, libiconv }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "gimgtools";
-  version = "2013-09-19";
+  version = "0.01-unstable-2013-09-19";
 
   src = fetchFromGitHub {
     owner = "wuyongzheng";
@@ -13,10 +13,7 @@   };
 
   buildInputs = lib.optional stdenv.isDarwin libiconv;
 
-  postPatch = ''
-    substituteInPlace Makefile \
-      --replace-fail "CC = gcc" ""
-  '';
+  makeFlags = [ "CC:=$(CC)" ];
 
   installPhase = ''
     for tool in gimginfo gimgfixcmd gimgxor gimgunlock gimgch gimgextract cmdc; do
@@ -27,7 +24,7 @@
   meta = with lib; {
     description = "Garmin Image Tools";
     inherit (finalAttrs.src.meta) homepage;
-    license = licenses.free;
+    license = licenses.gpl2;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
   };
diff --git a/pkgs/garmin/libgarmin/default.nix b/pkgs/garmin/libgarmin/default.nix
index acb58f0526c9b0855b1d1eec81108fe0c8dd0fa0..d1cd55d70fa5e8db3dfb4fee9e0757a83e574492 100644
--- a/pkgs/garmin/libgarmin/default.nix
+++ b/pkgs/garmin/libgarmin/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchsvn, autoconf, automake, libtool }:
 
 stdenv.mkDerivation {
   pname = "libgarmin";
-  version = "2008-12-27";
+  version = "0-unstable-2008-12-27";
 
   src = fetchsvn {
     url = "https://svn.code.sf.net/p/libgarmin/svn/libgarmin/dev";
diff --git a/pkgs/garmin/osm2mp/default.nix b/pkgs/garmin/osm2mp/default.nix
index baa6bdcffb309aa9f42601ce1b78ec4053261480..c630c8a9a70aa14437afdb21f98f7c418379e4ae 100644
--- a/pkgs/garmin/osm2mp/default.nix
+++ b/pkgs/garmin/osm2mp/default.nix
@@ -21,7 +21,7 @@ }:
 
 buildPerlPackage rec {
   pname = "osm2mp";
-  version = "2018-08-31";
+  version = "0-unstable-2018-08-31";
 
   src = fetchFromGitHub {
     owner = "liosha";
@@ -75,5 +75,6 @@     description = "Convert Openstreetmap data to MP format";
     inherit (src.meta) homepage;
     license = licenses.gpl2;
     maintainers = [ maintainers.sikmir ];
+    mainProgram = "osm2mp";
   };
 }
diff --git a/pkgs/gnss/gpsdate/default.nix b/pkgs/gnss/gpsdate/default.nix
index 2ea2e49ccbf3820abfa199650a545db3013ce7b7..aff3b2ea40714fd8da9b7c3132f2f236680d835b 100644
--- a/pkgs/gnss/gpsdate/default.nix
+++ b/pkgs/gnss/gpsdate/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "gpsdate";
-  version = "2019-12-02";
+  version = "0-unstable-2019-12-02";
 
   src = fetchFromGitHub {
     owner = "adamheinrich";
@@ -23,5 +23,6 @@     inherit (finalAttrs.src.meta) homepage;
     license = licenses.gpl3Plus;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
+    mainProgram = "gpsdate";
   };
 })
diff --git a/pkgs/gpx/cmpgpx/default.nix b/pkgs/gpx/cmpgpx/default.nix
index 20269749696380f5666a2ab0399de28a87195a45..4c1bbdd169926fd4316d731cd0446b10b2dcb64c 100644
--- a/pkgs/gpx/cmpgpx/default.nix
+++ b/pkgs/gpx/cmpgpx/default.nix
@@ -2,7 +2,7 @@ { lib, fetchFromGitHub, python3Packages, geotiler }:
 
 python3Packages.buildPythonApplication rec {
   pname = "cmpgpx";
-  version = "2015-06-05";
+  version = "0-unstable-2015-06-05";
   format = "other";
 
   src = fetchFromGitHub {
@@ -28,5 +28,6 @@     description = "Show the differences between GPX files";
     inherit (src.meta) homepage;
     license = licenses.unlicense;
     maintainers = [ maintainers.sikmir ];
+    mainProgram = "cmpgpx";
   };
 }
diff --git a/pkgs/linguistics/dict2rest/default.nix b/pkgs/linguistics/dict2rest/default.nix
index 0c01ced918fa01f7c5a7e55fed6243a0f39f2a1b..eb7daea534ec680635dd64023dc04d3d1ccce70c 100644
--- a/pkgs/linguistics/dict2rest/default.nix
+++ b/pkgs/linguistics/dict2rest/default.nix
@@ -2,7 +2,7 @@ { lib, fetchFromGitHub, buildGoPackage }:
 
 buildGoPackage rec {
   pname = "dict2rest";
-  version = "2016-12-05";
+  version = "0-unstable-2016-12-05";
 
   src = fetchFromGitHub {
     owner = "felix";
@@ -19,5 +19,6 @@     inherit (src.meta) homepage;
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
+    mainProgram = "go-dict2rest";
   };
 }
diff --git a/pkgs/linguistics/gdcv/default.nix b/pkgs/linguistics/gdcv/default.nix
index d80a69fbfcf53a500390cb49134bd0b52c796928..35da01a1ceded46dadc159acb5f30c64b39518d6 100644
--- a/pkgs/linguistics/gdcv/default.nix
+++ b/pkgs/linguistics/gdcv/default.nix
@@ -12,9 +12,6 @@     hash = "sha256-fzR+HKAZmvjiL4pBqfi3xIl5Ju0W3Hpy3SDHOmgoWZ0=";
   };
 
   postPatch = lib.optionalString stdenv.isDarwin ''
-    substituteInPlace Makefile \
-      --replace-fail "CC=gcc" ""
-
     substituteInPlace gdcv.c \
       --replace-fail "#include <error.h>" ""
 
@@ -26,7 +23,7 @@   nativeBuildInputs = [ pkg-config ];
 
   buildInputs = [ emacs zlib ] ++ lib.optional stdenv.isDarwin argp-standalone;
 
-  makeFlags = [ "gdcv" "emacs-module" ];
+  makeFlags = [ "CC:=$(CC)" "gdcv" "emacs-module" ];
 
   env.NIX_LDFLAGS = lib.optionalString stdenv.isDarwin "-largp";
 
@@ -42,5 +39,6 @@     license = licenses.gpl3Only;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
     skip.ci = stdenv.isDarwin;
+    mainProgram = "gdcv";
   };
 })
diff --git a/pkgs/misc/objlab/default.nix b/pkgs/misc/objlab/default.nix
index b605e1abac6dc183d27a5bd62e346baa9c3005d9..68655dcf4e6d4fd679cb29bafa4e97e414aa9863 100644
--- a/pkgs/misc/objlab/default.nix
+++ b/pkgs/misc/objlab/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub, cmake, ghc_filesystem, glfw, libglvnd, libGLU }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "objlab";
-  version = "2019-11-23";
+  version = "0-unstable-2019-11-23";
 
   src = fetchFromGitHub {
     owner = "lighttransport";
@@ -42,5 +42,6 @@     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.linux;
     skip.ci = stdenv.isDarwin;
+    mainProgram = "objlab";
   };
 })
diff --git a/pkgs/osm/osmwalkthrough/default.nix b/pkgs/osm/osmwalkthrough/default.nix
index 464b3dfac9067baf482805aa22c0992d07255a59..9ce648870129d4a50bdb6b48b1448ea318a67341 100644
--- a/pkgs/osm/osmwalkthrough/default.nix
+++ b/pkgs/osm/osmwalkthrough/default.nix
@@ -2,7 +2,7 @@ { lib, fetchFromGitHub, python3Packages }:
 
 python3Packages.buildPythonApplication rec {
   pname = "osmwalkthrough";
-  version = "2021-09-24";
+  version = "0-unstable-2021-09-24";
   format = "other";
 
   src = fetchFromGitHub {
diff --git a/pkgs/osm/vectiler/default.nix b/pkgs/osm/vectiler/default.nix
index 968348aab042a85ae8adb95e0a3f0f6e83578154..e96b868c24f562fa1e36afd030462a3f2b566bf3 100644
--- a/pkgs/osm/vectiler/default.nix
+++ b/pkgs/osm/vectiler/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitHub, cmake, curl }:
 
 stdenv.mkDerivation {
   pname = "vectiler";
-  version = "2021-06-30";
+  version = "0.1.0-unstable-2021-06-30";
 
   src = fetchFromGitHub {
     owner = "karimnaaji";
@@ -26,5 +26,6 @@     homepage = "http://karim.naaji.fr/vectiler.html";
     license = licenses.mit;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
+    mainProgram = "vectiler";
   };
 }
diff --git a/pkgs/suckless/lbm/default.nix b/pkgs/suckless/lbm/default.nix
index c90bf040757dd251f2a85e7bc7bf5d7b246ba91d..709a124a17f45df1a3bee25a046f2eacd8baa893 100644
--- a/pkgs/suckless/lbm/default.nix
+++ b/pkgs/suckless/lbm/default.nix
@@ -2,7 +2,7 @@ { lib, stdenv, fetchFromGitLab, pkg-config, dbus, xorg }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "lbm";
-  version = "2023-12-06";
+  version = "0-unstable-2023-12-06";
 
   src = fetchFromGitLab {
     domain = "git.weitnahbei.de";