diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index fc92c0c0056b22c50d2a115d6a89352781085c63..7805552117470e7d46186abbc4e98719e9bb5c7b 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -24,7 +24,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2022-02-05";
+  version = "2022-02-12";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 013fe7cf09f4bc76d0a926cf807ec29335203675..ada46a6188b21acabe1fadc079c40c8b9f5c4c4c 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,67 +1,67 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Wi5bm8d6Dr/MUE7YT3prxtbE0zUuHg7w8mxBFU0xRtk="
+    "hash": "sha256-qU6UVve/jNaSW2g1O8eqTPJtx7QMEbi9ccdYUrs/+H4="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-Oew7VJoQN9aAPYkoRPFBwiwc4vP3soMxJ0tNDWJVh1I="
+    "hash": "sha256-xXxnmJjmUSZKHulZmxiHKZTMGtaiAmNuVME11QwJQJY="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-e5g/mRzEJgkH561Lwh8qQSRuPPFu+Hiamrr1XSyOBmg="
+    "hash": "sha256-qKGeEEF91VWcnkB3xgSffCxj2EYi+nVdvwoTVAgGUdI="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-lZ3RRDCns5uFi+caJnZ0jOHmApvyLURCd6Eztz+Qvro="
+    "hash": "sha256-A/B0ynP0216UMcYWPSRUPc6SSoCc/3BNiuKQDZjadAU="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-QhCDHEkVyHvdk6PmG2oCBsSRm/4bMpZzrtoKX+0iQco="
+    "hash": "sha256-PdAflBv2Zig3ieiubBZUW7I/MA6iaJfDRJoDe6tx3sU="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-yOBPowc+LAQ95OWmWtBNZ19M4KJeXEMIfhn7mkdlXv0="
+    "hash": "sha256-zz8tcyZFahTbI6fBb9v1ecikMqoodfHmOKP103V1r5g="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-G4238fyL+grdmF/MXqY+9vfQHURyV/eewbPA2zOTXnw="
+    "hash": "sha256-cG3qBZJVXGiaPDUN4oWwRp9sMdz5QomKmIC4Nwvzr9A="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-+y+A6f2mVE+lW+KVr8sugbpyToQYuZ2vyCwWOcwYnG0="
+    "hash": "sha256-n5m8VwsNEc+xMXj7+fL5X+ZFn4Rzgn1H90D8Jl7+0zs="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-AUmbDvu6OtNIbUfTvpfWT+pW1SvmyXlIXVvyEV4juqE="
+    "hash": "sha256-+hwNk1gBjq/CHMiTVReZev5cJQ50lDvcUaoCIo3paTs="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-I8+NTWgmNwzmRuFkIzBxvbeHpHUK4JATlz3b4nwQEQI="
+    "hash": "sha256-bXx9IM/WmAydUpsXVipuJnGxhNiFVSIBsCHc7ChtjQM="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-ogFXTcMi/JtaQ+6VgWdeN+Y2dFLOk0KYSggAYaFE680="
+    "hash": "sha256-INr4OdMhDW4NCV0B7qLKRNpsh3cD71xImqVZgOyqMzI="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-1b/oDQX4o9HEiEnwLRPsoWoHqLe287zouBTabzIFXYc="
+    "hash": "sha256-99I09ibqUdNT9PtRqT7Hyiub4EBYNc6XC5theZDRfYM="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-y+hoNQCGJ7O49yV5HHuWDEYVcawk64wRoV0ODoQwxyY="
+    "hash": "sha256-RL51E+yVN2T5P8/3jIDnQ4kF2YWUG/duas9vgpF423E="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-6GhLMtlBTtR2pJzt8qQ2g3xiUWokprBOyFWoai04vD8="
+    "hash": "sha256-Jd1u+6GPQKE5HY/rXWpleicD1t/KK4OxRk4BKVijFog="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-zh/vibcA/9zVntSJL5PYnz8q11iyxjicFYWa260+h6s="
+    "hash": "sha256-sltOQvqblskaIjDwKoZGCdtPCluzZAkC7cqhpjEctgg="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-5ef+yTbuezNJH4Gr2SNtv4IByG+LRnnfTtD/3cZp8Q0="
+    "hash": "sha256-wFufRv67xbaQSGMb902lH8JssYc9cGB5W2MhclUc+y8="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -69,15 +69,15 @@     "hash": "sha256-pTutQ1gG48OOxQaUMDxOfZx0oM9OsiH+D1G6GNGSmsc="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-z+IZfnAON/a9RuZIJAPmTUmhb4Vi2FSALlxsXY881u8="
+    "hash": "sha256-I+jCYPX8y4Yir4wLuIlfawMsQEfOYT22YzWC4/uq5HE="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-RQCZkolabz47PmPheC+vsij747MVYF4EBrtWhCl1iCo="
+    "hash": "sha256-jSDwLzu3fnDs53TtyfKUKazZqirK2cxr7lD/u3ey9+4="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-sR8D4uQJCVt/c6t/XQC/zEiubFcZjkfowaqfCdsOPX0="
+    "hash": "sha256-N+r9vLsnDqgG+6PaE09jkkNp7U0G6bEhOSf3DYa7ys4="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -85,14 +85,14 @@     "hash": "sha256-/V/yFvyzELbIp4UNj+x4XD39jk7ZGGOsAZoYfDRs4G0="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-pvRxf5gBeKwyi80IRWfiQTfnZw5GgeOOpZuKjMphLEw="
+    "hash": "sha256-DGtC9lR07k8GChhHlpgx6clZftm9cKtfC2XHke0HZ8I="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-OjfaFV2YQPHm+43ccrYjKUKzz/g2WxiaXSZeM/eiD9c="
+    "hash": "sha256-MOac5O6w/NhriL0gVWaSnY/vqtzeiw2Z9gZUw8qCq0Y="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-b2Kg9m8GvCStWGrAVfbg5TfmM8+11Q5km5C9qrwuZYw="
+    "hash": "sha256-Fkr6Uvxx1MGsrjFNVOk0OmdMTFR3Sjp2HdlqAx8560A="
   }
 }
diff --git a/pkgs/data/maps/maptourist/default.nix b/pkgs/data/maps/maptourist/default.nix
index f3c7d914dcbd35cf38788487f959dc025f864406..3df60215899df028609b8f855a1a4dc2e51cbc4b 100644
--- a/pkgs/data/maps/maptourist/default.nix
+++ b/pkgs/data/maps/maptourist/default.nix
@@ -2,11 +2,11 @@ { lib, stdenvNoCC, fetchurl, unzip }:
 
 stdenvNoCC.mkDerivation rec {
   pname = "maptourist";
-  version = "2022-02-05";
+  version = "2022-02-16";
 
   src = fetchurl {
     url = "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_${version}.zip";
-    hash = "sha256-/Udmpg7c++aMX5kND3a81240c3/RWMqY6YPl6Xx31dQ=";
+    hash = "sha256-rWekP1qZorx+hQ/TZ4lgw4qtPrKEMdZvguCpM5f/MVU=";
   };
 
   sourceRoot = ".";
diff --git a/pkgs/osm/map-machine/default.nix b/pkgs/osm/map-machine/default.nix
index 993bfe81c4162a0006318727b6fe5db536415de1..5f677dbccf530e2344707c8bd80d0d4690e6492a 100644
--- a/pkgs/osm/map-machine/default.nix
+++ b/pkgs/osm/map-machine/default.nix
@@ -2,14 +2,14 @@ { lib, fetchFromGitHub, python3Packages, portolan }:
 
 python3Packages.buildPythonApplication rec {
   pname = "map-machine";
-  version = "2022-02-01";
+  version = "2022-02-17";
   disabled = python3Packages.pythonOlder "3.9";
 
   src = fetchFromGitHub {
     owner = "enzet";
     repo = pname;
-    rev = "de8be46648fd9e741fed4ff8546b20d83afe1b4e";
-    hash = "sha256-gR40mPx0laYLw0T5LodU69/KcXBLKSnCK1TkF4bKtbo=";
+    rev = "28ab57676e8ec9482b5bcdc3b3677a57b8918a4c";
+    hash = "sha256-3ojO8xfZntgoXsspUAMZFZ6VM+A5uIkNkCkELlsNqB4=";
   };
 
   propagatedBuildInputs = with python3Packages; [