diff --git a/nix/sources.json b/nix/sources.json
index 9cacdbf91dae6f6ca59a716a103bf8e26668ac27..e924d94dece3dd343388d8b19c5024062a2f3db7 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -100,7 +100,7 @@     },
     "embox": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-07-26T11:16:39Z",
+        "date": "2020-07-28T12:25:28Z",
         "description": "Modular and configurable OS for embedded applications",
         "homepage": "http://embox.github.io",
         "owner": "embox",
@@ -155,27 +155,27 @@         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "geofabrik-estonia": {
         "builtin": false,
-        "sha256": "1fzqwv65swa4452n276w1yklc3q05vhqfzl1nii619wka4hssnjw",
+        "sha256": "0jj5b9y8i2l0z59v8n5c6pj7q1sqcnrczhrva69c492aymjwnlar",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/estonia-200722.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/estonia-200728.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/estonia-<version>.osm.pbf",
-        "version": "200722"
+        "version": "200728"
     },
     "geofabrik-finland": {
         "builtin": false,
-        "sha256": "0vza3dw7ynlf3y9iv12h2ff7xlp7gsl4i249nc4q7lwa2k5457xi",
+        "sha256": "0nqkp42pr57hw8qlk4b258lp9lr652ggwdn0hys4m6ci0w93scf2",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/finland-200722.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/finland-200728.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/finland-<version>.osm.pbf",
-        "version": "200722"
+        "version": "200728"
     },
     "geofabrik-russia-nwfd": {
         "builtin": false,
-        "sha256": "0vq2sl4gxsxz87bci8vig99f17binpfqhrdw13anynwq2nm6nay8",
+        "sha256": "1551qvxchphkn2jg57ja7a893r97kmpz80r8xaw8yi47rxivld1p",
         "type": "file",
-        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-200722.osm.pbf",
+        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-200728.osm.pbf",
         "url_template": "https://download.geofabrik.de/russia/northwestern-fed-district-<version>.osm.pbf",
-        "version": "200722"
+        "version": "200728"
     },
     "gimgtools": {
         "branch": "master",
@@ -222,7 +222,7 @@     },
     "gpxelevations": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-07-27T17:15:30Z",
+        "date": "2020-07-28T16:06:58Z",
         "description": "Geo elevation data parser for \"The Shuttle Radar Topography Mission\" data",
         "homepage": "https://github.com/tkrajina/srtm.py",
         "owner": "tkrajina",
@@ -550,15 +550,15 @@     },
     "nakarte": {
         "branch": "master",
         "builtin": false,
-        "date": "2020-07-16T15:50:07Z",
+        "date": "2020-07-29T10:24:24Z",
         "description": "Source code of site http://nakarte.me",
         "homepage": "https://nakarte.me",
         "owner": "wladich",
         "repo": "nakarte",
-        "rev": "06c87d2b1021feebf358f7cb2ad87afd7d6a924f",
-        "sha256": "15n5wmb4g9zzkd3mgfck686s0vs10fmq5arhb6iiqnqp5jb26mg2",
+        "rev": "8a267804283822c5353150c5619324bae9665fa1",
+        "sha256": "1qi461bqd16yx855ij1apazdi8a502hld2mxqi8ik07868qrpb8x",
         "type": "tarball",
-        "url": "https://github.com/wladich/nakarte/archive/06c87d2b1021feebf358f7cb2ad87afd7d6a924f.tar.gz",
+        "url": "https://github.com/wladich/nakarte/archive/8a267804283822c5353150c5619324bae9665fa1.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "nnn": {
diff --git a/pkgs/applications/librewolf/default.nix b/pkgs/applications/librewolf/default.nix
index 324dfd6157f164f4699de3b95d2850f31f4b5b5b..a246e48a88a0362aea35b2b3ad6e1abb15747126 100644
--- a/pkgs/applications/librewolf/default.nix
+++ b/pkgs/applications/librewolf/default.nix
@@ -1,10 +1,10 @@
 { stdenv, fetchgit, fetchurl }:
 let
-  version = "78.0.2";
+  version = "79.0";
 
   firefox = fetchurl {
     url = "https://download-installer.cdn.mozilla.net/pub/firefox/releases/${version}/mac/en-US/Firefox%20${version}.dmg";
-    sha256 = "1jl1l7wr0pw0z8rifjms6r22gdxyvdjivxwz8ndvknwsds4nn9ya";
+    sha256 = "1gnsbbbx995nmi6xg1qw6dsgcip27yb92vixv1f60l98ycpzcxlx";
     name = "Firefox.dmg";
   };
 in