diff --git a/modules/home-manager/programs/aerc.nix b/modules/home-manager/programs/aerc.nix
index 9b88691004ac9acf4c019bba8fd097c6b95ab5d8..cc1f2dcf0ebd04d4ce978ab81d68fe5a2758d389 100644
--- a/modules/home-manager/programs/aerc.nix
+++ b/modules/home-manager/programs/aerc.nix
@@ -66,7 +66,7 @@   config = mkIf cfg.enable {
     home.packages = [ cfg.package ];
 
     home.activation = {
-      accountsConf = config.lib.dag.entryAfter [ "writeBoundary" ] activationScript;
+      accountsConf = lib.hm.dag.entryAfter [ "writeBoundary" ] activationScript;
     };
   };
 }
diff --git a/modules/home-manager/programs/gpxsee.nix b/modules/home-manager/programs/gpxsee.nix
index 7b10748445155fdd5d51034049a7387c8e397087..8536ed06616eacaef08ed5c1dae2655420bf68d4 100644
--- a/modules/home-manager/programs/gpxsee.nix
+++ b/modules/home-manager/programs/gpxsee.nix
@@ -69,10 +69,10 @@
   config = mkIf cfg.enable (
     mkMerge [
       {
-        home.packages = [ cfg.package pkgs.qtpbfimageplugin ];
+        home.packages = [ cfg.package ];
 
         home.activation.hideToolbar =
-          config.lib.dag.entryAfter [ "writeBoundary" ]
+          lib.hm.dag.entryAfter [ "writeBoundary" ]
             (
               if pkgs.stdenv.isDarwin then
                 "$DRY_RUN_CMD /usr/bin/defaults write ${domain} Settings.toolbar -bool false"
@@ -83,7 +83,7 @@       }
 
       (
         mkIf pkgs.stdenv.isLinux {
-          home.activation.createConfigFile = config.lib.dag.entryBefore [ "writeBoundary" ] ''
+          home.activation.createConfigFile = lib.hm.dag.entryBefore [ "writeBoundary" ] ''
             $DRY_RUN_CMD mkdir -p ${configDir}
             $DRY_RUN_CMD touch ${configFile}
           '';
diff --git a/modules/home-manager/programs/openorienteering-mapper.nix b/modules/home-manager/programs/openorienteering-mapper.nix
index acd41fcce262358e53887111d1d9044c1265ee84..3ad63ced3545447fed5e80718efda2458ba8e902 100644
--- a/modules/home-manager/programs/openorienteering-mapper.nix
+++ b/modules/home-manager/programs/openorienteering-mapper.nix
@@ -30,7 +30,7 @@       }
 
       (
         mkIf pkgs.stdenv.isLinux {
-          home.activation.createConfigFile = config.lib.dag.entryAfter [ "writeBoundary" ] ''
+          home.activation.createConfigFile = lib.hm.dag.entryAfter [ "writeBoundary" ] ''
             $DRY_RUN_CMD mkdir -p ${configDir}
             $DRY_RUN_CMD touch ${configFile}
           '';
@@ -39,7 +39,7 @@       )
 
       {
         home.activation.tipsVisible =
-          config.lib.dag.entryAfter [ "writeBoundary" ]
+          lib.hm.dag.entryAfter [ "writeBoundary" ]
             (
               if pkgs.stdenv.isDarwin then
                 "$DRY_RUN_CMD /usr/bin/defaults write ${domain} HomeScreen.tipsVisible -bool false"
diff --git a/modules/home-manager/programs/qmapshack.nix b/modules/home-manager/programs/qmapshack.nix
index bf4e223ee3b9e42c9c873b9e4e35165d36e02218..0236b11da8e6243683911c66793590c7191cac47 100644
--- a/modules/home-manager/programs/qmapshack.nix
+++ b/modules/home-manager/programs/qmapshack.nix
@@ -54,7 +54,7 @@       }
 
       (
         mkIf pkgs.stdenv.isLinux {
-          home.activation.createConfigFile = config.lib.dag.entryBefore [ "writeBoundary" ] ''
+          home.activation.createConfigFile = lib.hm.dag.entryBefore [ "writeBoundary" ] ''
             $DRY_RUN_CMD mkdir -p ${configDir}
             $DRY_RUN_CMD touch ${configFile}
           '';
@@ -64,7 +64,7 @@
       (
         mkIf (length cfg.demPackages > 0) {
           home.activation.setupDemPaths =
-            config.lib.dag.entryAfter [ "writeBoundary" ]
+            lib.hm.dag.entryAfter [ "writeBoundary" ]
               (
                 if pkgs.stdenv.isDarwin then
                   "$DRY_RUN_CMD /usr/bin/defaults write ${domain} Canvas.demPaths -array ${toString cfg.demPackages}"
@@ -77,7 +77,7 @@
       (
         mkIf (length cfg.mapPackages > 0) {
           home.activation.setupMapPaths =
-            config.lib.dag.entryAfter [ "writeBoundary" ]
+            lib.hm.dag.entryAfter [ "writeBoundary" ]
               (
                 if pkgs.stdenv.isDarwin then
                   "$DRY_RUN_CMD /usr/bin/defaults write ${domain} Canvas.mapPath -array ${toString cfg.mapPackages}"
@@ -90,7 +90,7 @@
       (
         mkIf (length cfg.routinoPackages > 0) {
           home.activation.setupRoutinoPaths =
-            config.lib.dag.entryAfter [ "writeBoundary" ]
+            lib.hm.dag.entryAfter [ "writeBoundary" ]
               (
                 if pkgs.stdenv.isDarwin then
                   "$DRY_RUN_CMD /usr/bin/defaults write ${domain} Route.routino.paths -array ${toString cfg.routinoPackages}"