diff --git a/nix/sources.json b/nix/sources.json
index 919daf79b63ffd3238724661b43f47df52782d5f..f616271f6dadfd7aea9132a03c2dee254aa7319d 100644
--- a/nix/sources.json
+++ b/nix/sources.json
@@ -170,15 +170,15 @@     },
     "embox": {
         "branch": "master",
         "builtin": false,
-        "date": "2021-01-27T11:52:27Z",
+        "date": "2021-01-28T14:48:51Z",
         "description": "Modular and configurable OS for embedded applications",
         "homepage": "http://embox.github.io",
         "owner": "embox",
         "repo": "embox",
-        "rev": "f4ec94c13a1a74f77340289187d9463b8f6f3f4c",
-        "sha256": "0jx3731cwsqq0wkwv2hy439yfj5ni64h888gak13q7x36v2c7wfh",
+        "rev": "13aca8482eb756d38a4a82cff0abc4c2da9bc21e",
+        "sha256": "1fdpn43s5qfv4y00sdnykgsi862qjsyykyqns831lf6ld0cmp2nq",
         "type": "tarball",
-        "url": "https://github.com/embox/embox/archive/f4ec94c13a1a74f77340289187d9463b8f6f3f4c.tar.gz",
+        "url": "https://github.com/embox/embox/archive/13aca8482eb756d38a4a82cff0abc4c2da9bc21e.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "foma": {
@@ -253,27 +253,27 @@         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "geofabrik-estonia": {
         "builtin": false,
-        "sha256": "1dngbm3yf2ppi4iic2nk8p57d940qmpm9wax2qd6nra5z6iqyh43",
+        "sha256": "1cgfc8s836pvc6zjq03caa1bz7rzir44wsm875db9yfm5kj1z2c6",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/estonia-210126.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/estonia-210127.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/estonia-<version>.osm.pbf",
-        "version": "210126"
+        "version": "210127"
     },
     "geofabrik-finland": {
         "builtin": false,
-        "sha256": "04gm5q6cbc4dwxdl8ac32k5905bx015i81f21l6sj6ni2yr03017",
+        "sha256": "18sa6rb7vbbg0qvd4nr1kqmnpd0shrs2fqvl9xik1arcrjr540kb",
         "type": "file",
-        "url": "https://download.geofabrik.de/europe/finland-210126.osm.pbf",
+        "url": "https://download.geofabrik.de/europe/finland-210127.osm.pbf",
         "url_template": "https://download.geofabrik.de/europe/finland-<version>.osm.pbf",
-        "version": "210126"
+        "version": "210127"
     },
     "geofabrik-russia-nwfd": {
         "builtin": false,
-        "sha256": "0iqmjzc5z9285jg6fbcqldrjp829zp871lqm3xjz3q6bjmzhriv6",
+        "sha256": "1782m0bhk4hyamrsvqlwvpdmfri2vdgpl4l1bzcmkil94pnpbz1k",
         "type": "file",
-        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-210126.osm.pbf",
+        "url": "https://download.geofabrik.de/russia/northwestern-fed-district-210127.osm.pbf",
         "url_template": "https://download.geofabrik.de/russia/northwestern-fed-district-<version>.osm.pbf",
-        "version": "210126"
+        "version": "210127"
     },
     "gimgtools": {
         "branch": "master",
@@ -615,15 +615,15 @@     },
     "map-hr": {
         "branch": "master",
         "builtin": false,
-        "date": "2021-01-23T13:43:00Z",
+        "date": "2021-01-28T12:31:47Z",
         "description": "Slazav mountains",
         "homepage": "http://slazav.xyz/maps/",
         "owner": "slazav",
         "repo": "map_hr",
-        "rev": "c2f83abac0b4dd7a0bcf338107297a4d154fa408",
-        "sha256": "11mwv7315h98pgw240ihd4fkzfak4s41nq0lx3j2c60faz60rbw6",
+        "rev": "b051be7b2924870864d0a9c4e58dba9e4d66af12",
+        "sha256": "08fbjglx3jjir0pfcw3qrxg4j4ndzv9w4zk6ffka2n2qwcqdywyg",
         "type": "tarball",
-        "url": "https://github.com/slazav/map_hr/archive/c2f83abac0b4dd7a0bcf338107297a4d154fa408.tar.gz",
+        "url": "https://github.com/slazav/map_hr/archive/b051be7b2924870864d0a9c4e58dba9e4d66af12.tar.gz",
         "url_template": "https://github.com/<owner>/<repo>/archive/<rev>.tar.gz"
     },
     "map-podm": {
@@ -715,11 +715,11 @@         "builtin": false,
         "description": "Ежедневная сборка карт из данных OpenStreetMap для навигационных приборов и приложений Garmin",
         "homepage": "https://maptourist.org",
         "region": "szfo",
-        "sha256": "11cn0dm5vy1njg6lbgj0x7fcrxl68zvymcn9bn1fkvfmrrwi4vpq",
+        "sha256": "1xxg8hyl4fwrmnk3m385br9zn439sk61fx0rfz57a6kmlvmsikxs",
         "type": "file",
-        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2021-01-26.zip",
+        "url": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-szfo-RU_2021-01-27.zip",
         "url_template": "https://maptourist.org/osm-garmin/archive/OSM-MapTourist-<region>-RU_<version>.zip",
-        "version": "2021-01-26"
+        "version": "2021-01-27"
     },
     "md2gemini": {
         "branch": "master",
diff --git a/pkgs/images/wekan/default.nix b/pkgs/images/wekan/default.nix
index c8049229ccbd76025f1d8c267e798fb3aae534d3..b5fd3c7061d3949995dd2f8578c3703459b3548e 100644
--- a/pkgs/images/wekan/default.nix
+++ b/pkgs/images/wekan/default.nix
@@ -1,9 +1,9 @@
 { dockerTools }:
 
 dockerTools.pullImage {
-  imageName = "quay.io/wekan/wekan";
-  imageDigest = "sha256:f66f80352b5478c6fc2a6b91367b85e70401ac201dcb188aa63e21c5e1137ecc";
-  sha256 = "028bcawc22lhnbzcm9wn6cgk1kq7k6lc643z1nvhb5n6m1y5jb9s";
+  imageName = "wekanteam/wekan";
+  imageDigest = "sha256:2f8b87739ae12893835e90981de8a368e7884f867612bc60f9c2e764b62a1453";
+  sha256 = "160f3yccmj67pn7azx3hzjikqvipwhngirx5yj4x9gkwysrmcah1";
   finalImageName = "wekan";
-  finalImageTag = "4.81";
+  finalImageTag = "4.90";
 }
diff --git a/pkgs/osm/phyghtmap/default.nix b/pkgs/osm/phyghtmap/default.nix
index 23b6036a873726e1f7ef0e687194357767e6e728..0a37b590c5767bf7df077d5b8b331423ab8b1703 100644
--- a/pkgs/osm/phyghtmap/default.nix
+++ b/pkgs/osm/phyghtmap/default.nix
@@ -2,11 +2,11 @@ { lib, python3Packages, fetchurl }:
 
 python3Packages.buildPythonApplication rec {
   pname = "phyghtmap";
-  version = "2.21";
+  version = "2.23";
 
   src = fetchurl {
     url = "http://katze.tfiu.de/projects/phyghtmap/phyghtmap_${version}.orig.tar.gz";
-    sha256 = "08dsqsq6cxncr2gahd672kcvhfn0pr2mvspiim7j5v0vvgrjv2p8";
+    sha256 = "04xhqcf4bvgbahzw1vcx4khja0z3xqkd0mvk2z8b0xnmy5rsw3lc";
   };
 
   propagatedBuildInputs = with python3Packages; [ beautifulsoup4 lxml matplotlib numpy ];
@@ -16,7 +16,7 @@
   meta = with lib; {
     description = "Generate OSM contour lines from NASA SRTM data";
     homepage = "http://katze.tfiu.de/projects/phyghtmap";
-    license = licenses.gpl2;
+    license = licenses.gpl2Plus;
     maintainers = [ maintainers.sikmir ];
     platforms = platforms.unix;
   };