diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index a620799e9b84a5c71f8e98f56d72bdd275fcf582..0d35aa6c6789ba91437102c34e09a0eb342d7605 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -32,7 +32,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation rec {
   pname = "tatoeba";
-  version = "2023-03-04";
+  version = "2023-03-11";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index 59b3e61f8dff3c7abcddfd92f2da57532692419b..e94f2193d986515c808a122fe6e81820dd3eb781 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -1,19 +1,19 @@
 {
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LNoi9iBSU+vsnOhQ5FqdEpSxMAPSPW4yhtOGVN59NIQ="
+    "hash": "sha256-FCCjPgQicAexNqmDSP7J35uzKbLMEQaCyWywI4rF6Tc="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-apCv0vE7horGFoqaOJrQe+3zyexCN0albSSvJ9/v8mg="
+    "hash": "sha256-Mt883jgdsG5GzvpYzlDN2E8dVfZd58ldDfVm1IQCgVQ="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-1WpgBase804ir3hzZSsfmvwEeVyP328mLsdnZQ/q7fg="
+    "hash": "sha256-CkMOEP8obimNuYGFI1JVqhrHlCBuqYD9HaJmW7/pTkE="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-uDYsRtw6Q9zXBIyrJO6PUTtuVIyWthQxhKc4s3ptTX0="
+    "hash": "sha256-h8OvVS1pRpjRmwTsaD2ONyYVKiREBxLBoa4In17tZI8="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
@@ -21,35 +21,35 @@     "hash": "sha256-dryyNq3UyvmOjFJ5KYS/qT7sjlsEAvMJMVKPTjC92Xo="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-IrUdJAs7cAUEObNa6V/PC3mBjuybY2sdRzNDRlliO5M="
+    "hash": "sha256-/jYN8/StW58EtOfoiEmUInBHLVIs/Vd71aIXx7cjPQQ="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-/QqQEtwgS8ZzjV3wPncr0zKLla9+tPbDcSlzIRSp/Ak="
+    "hash": "sha256-U3R6mNJHIR7/S9YJq8b4gYE8El874FyzgmVQnBN8/q4="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-0XzS5njjHBftOZgmGcpHWI0t80YmD53ZlsddxHsuwkE="
+    "hash": "sha256-Df0e7chEy6FyvPoB8k9WsZTynVhN8x/z/txF/Co4yIc="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-fcb9jchl42vaSOecgP0OMgXWHC4nDvH0u7X1SAGyph0="
+    "hash": "sha256-48Gu+OZoPaywt9zKHQhACpXdhmodL4F5v280Kqj9qsE="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-ggDmqmRWx8hroC4oanK23X+0nevq4AmzhAVpsErnrl4="
+    "hash": "sha256-pZDGUSTQU2s0rY/NRyA0oveRxP4t1omotEC1JntjRI8="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-Xm91N5p5M6NC73do91oJCP79KEn8qp5+KE5Skt2e4k0="
+    "hash": "sha256-NDyx8G+a1PnNrdYfTomVEVijqAZgXYI+zniz8eZr+M8="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-IAl7t3IcXXLM70UB2mwNy2cjWHUaQ7jnxR+NtonHuzg="
+    "hash": "sha256-uhzFvb+Cx3EZsav6DTheQOmyu1HiNCyPqPv5eFZMaYk="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-jM3o6mrJ6olta5VI09dyfEhpz2TbjBYPPEJ9eZZu5y0="
+    "hash": "sha256-VLFpeRKC2r7jg80f0gAbPKbgzMxDUdjErTMjoH1biO0="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
@@ -57,27 +57,27 @@     "hash": "sha256-OrRH40TkAzq8xCHAfy4aE8h3QIXzzGim1PnPVN5lYSw="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-CigORlyfPp46si6bdEmjueScIg2nvkQKwa0VHOMGSRY="
+    "hash": "sha256-3FERpJhLmuxJdCfW7i/3FLh9gJb3z7ue/RMRlam/3sQ="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
-    "hash": "sha256-pC0KxcKJghN5XvGj67OsHKRaGqJUcCl9h2ElV5YILS8="
+    "hash": "sha256-wd/vUPNt2ypSdfF3ArupJK/Kez419yzbohL+WnvxJGo="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-B8MbYBRTHFTcHfwCtzMy3Y9+u2k4vmEVm/iD0jwXE08="
+    "hash": "sha256-Nx/FskqtLmUacxQ1jaNMzF3I4+2Ow4ZS7n7qCmesmNc="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-gt33T21X/yrwXb3ho6gZYie/hSwIAT9rF3NJny1sGFU="
+    "hash": "sha256-jduyP6xTygMSsS2Bx6TZvhhbcdYVJaCpiF8i39Dj6NA="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-23qe985t9LNTPNpMjGZuK2ePhyif+JTonrh3/B6TeIM="
+    "hash": "sha256-ksn4G2ryXIp3NgnWMCqDi3BV5gjTrno0wfBXitPUfS0="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-RoSrZ03/iIaJdCsmO0t25JWQdG0JPt22LP08+0egaT4="
+    "hash": "sha256-Ip7Ql61Vvplc1emwT0l9QOcSjfDpksg3mzsB/w4717s="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
@@ -93,15 +93,15 @@     "hash": "sha256-eP5bg1qsWfKgXCR8R2yvyVJc0TDcozLEF88Ie2Xt/qI="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-JQ/9Lc0v7bmxY44WJEySkl1cBurAlfGKzF22gtjocoA="
+    "hash": "sha256-3T/wS89hABDaI8O1NGHIcHCZFu4SZ9hsbAbkv5CLLYM="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-1ShP+lXHnqd7mn4k/FvJc3h6+JpTcimo9lZz8dgxHyQ="
+    "hash": "sha256-iTXH1AQQhB3/XkpVI7vxCCOs07Cxr7VQq8TNwWESZlQ="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-RDPxD2KDXEtw1O7HBD51i/OvDT0dWI08diB4Nt+w3go="
+    "hash": "sha256-ZleYpnRfIB4cE7DdCNNgxX9skMdNSKJ+ehZd1CYq6/s="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
@@ -113,26 +113,26 @@     "hash": "sha256-oNC/ugk47b145Vwo5IlGpRZcMOhBxnVgrdtQA0kqqJs="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
-    "hash": "sha256-T1228WDp7B5byi3h+MNeOQsGzOQ8NGlM0IROX5o4Xj8="
+    "hash": "sha256-zFnEXpShrS3qgdcly9K8NKn2nyja0WnWa4bKFGyGnfg="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-AantnZB9s/dKIGO0Pc+tryFibFW+kTmcyRrgCXrc7CI="
+    "hash": "sha256-1hiZzUlpqHyfzHXO707yR20b7g6u9gLYGwdvL3dc/ZA="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
-    "hash": "sha256-e1/WHFwSnFMBQXTD3d0uy4mhb4mYgKKgMKyZCgkF2Rk="
+    "hash": "sha256-VvrsOcEQs+HokRmVMLZxpC9XTbhqgBeCcoTbiQda2ls="
   },
   "swe-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-rus_links.tsv.bz2",
-    "hash": "sha256-a70ch/GOXpKbk/37McGtCJivZPZNjVm0NkRelP1vCQ8="
+    "hash": "sha256-QsBFse2HDN/DdDTCg4Ne21n89JyhGy0Je+VF4oeyEJ8="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-w0gZVaa2lgQzjyWBUpmyy8W16tOSDbReCrk+qlrMQyI="
+    "hash": "sha256-gAcV5IetDEaa2gtzBeibgLHGNKmxAZiUGnfiyBfyjU0="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-viohdMLQiy12srqJtGCtsLKIf/OulAR+sCC+oKMM7CY="
+    "hash": "sha256-qPfwdrSeBRALvZmV4Tq4eZyehVXosG1LKWq3q+Nc6Nc="
   }
 }
diff --git a/pkgs/data/osm/osm-extracts/default.nix b/pkgs/data/osm/osm-extracts/default.nix
index b6574965668e3cb5c57c1b7e84d5fd1a4a92b4e0..8502e300c04f9e0e4c73a377b9e39ad327fe7214 100644
--- a/pkgs/data/osm/osm-extracts/default.nix
+++ b/pkgs/data/osm/osm-extracts/default.nix
@@ -2,11 +2,11 @@ { lib, stdenv, fetchurl, osmium-tool }:
 
 stdenv.mkDerivation rec {
   pname = "osm-extracts";
-  version = "221231";
+  version = "230310";
 
   src = fetchurl {
     url = "https://download.geofabrik.de/russia/northwestern-fed-district-${version}.osm.pbf";
-    hash = "sha256-K1lXSunySLhFrUqFFXvj+jZxOJqGoRZfGk+qAVVZEpo=";
+    hash = "sha256-dNTNkAQS7q+JYxHAPCIUbUrDqplRI7mwCCUwX8piK3Y=";
   };
 
   dontUnpack = true;
diff --git a/pkgs/default.nix b/pkgs/default.nix
index 0909e64e135808e7b12c5100fce38961bf5e71ed..1acf6588e9e1230701cecdc8d51438a4234ae29f 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -208,7 +208,6 @@     polyvectorization = libsForQt5.callPackage ./geospatial/polyvectorization { };
     py-staticmaps = callPackage ./geospatial/py-staticmaps { };
     pysheds = callPackage ./geospatial/pysheds { };
     pystac = callPackage ./geospatial/pystac { };
-    qmapshack-bin = callPackage ./geospatial/qmapshack/bin.nix { };
     render_geojson = callPackage ./geospatial/render_geojson { };
     rio-cogeo = callPackage ./geospatial/rio-cogeo { };
     rio-color = callPackage ./geospatial/rio-color { };
diff --git a/pkgs/geospatial/qmapshack/bin.nix b/pkgs/geospatial/qmapshack/bin.nix
deleted file mode 100644
index 60abd0a9f6f36a539212b2b52d7adbe85831fde4..0000000000000000000000000000000000000000
--- a/pkgs/geospatial/qmapshack/bin.nix
+++ /dev/null
@@ -1,40 +0,0 @@
-{ lib, stdenv, fetchfromgh, sdkVersion ? "10.13" }:
-
-assert lib.assertOneOf "sdkVersion" sdkVersion [ "10.13" "10.14" "10.15" "11.0.1" ];
-
-stdenv.mkDerivation rec {
-  pname = "qmapshack-bin";
-  version = "1.15.2";
-
-  src = fetchfromgh {
-    owner = "Maproom";
-    repo = "qmapshack";
-    version = "V_${version}";
-    name =
-      if sdkVersion == "10.13"
-      then "QMapShack-MacOSX.${sdkVersion}_${version}.tar.gz"
-      else "QMapShack-MacOSX.${sdkVersion}_${version}_2.tar.gz";
-    sha256 = {
-      "10.13" = "1b9q0jq6v60wbd5kh2nvd19cv07rxkqcc4lk6378m1d8afvacaax";
-      "10.14" = "0w6w0vqsqxhicw2kb4wc2bw6g13f0a3h600zjjbz6kl2zanwh0nm";
-      "10.15" = "0f23i7yk82xlcn89s9z5apsggxgwcdw5wnrv3dls11vrz1dvf3l2";
-      "11.0.1" = "19p8gd0n7nx89fbn74s13my431cxqj0caazjl9z4hc2pjkq7prjd";
-    }.${sdkVersion};
-  };
-
-  sourceRoot = ".";
-
-  installPhase = ''
-    mkdir -p $out/Applications
-    cp -r *.app $out/Applications
-  '';
-
-  meta = with lib; {
-    description = "Consumer grade GIS software";
-    inherit (src.meta) homepage;
-    license = licenses.gpl3Plus;
-    maintainers = [ maintainers.sikmir ];
-    platforms = [ "x86_64-darwin" ];
-    skip.ci = true;
-  };
-}
diff --git a/pkgs/mqtt/flashmq/default.nix b/pkgs/mqtt/flashmq/default.nix
index 98eaa5c3b6e7efe585fb189694bef445ed330fc3..d979822fdbe596369ad65ab9f925a719eba7a57f 100644
--- a/pkgs/mqtt/flashmq/default.nix
+++ b/pkgs/mqtt/flashmq/default.nix
@@ -11,7 +11,9 @@     rev = "v${version}";
     hash = "sha256-VikTaPczF1+Bk/K6D5lZgyLybNETtm0YTEwFgPmpiiw=";
   };
 
-  postPatch = lib.optionalString (stdenv.isLinux && !stdenv.isx86_64) ''
+  postPatch = ''
+    substituteInPlace mainapp.cpp --replace "/etc/flashmq" "$out/etc/flashmq"
+  '' + lib.optionalString (stdenv.isLinux && !stdenv.isx86_64) ''
     substituteInPlace CMakeLists.txt --replace "-msse4.2" ""
   '';
 
@@ -21,6 +23,7 @@   buildInputs = [ openssl ];
 
   installPhase = ''
     install -Dm755 flashmq -t $out/bin
+    install -Dm644 $src/flashmq.conf -t $out/etc/flashmq
     installManPage $src/man/*.{1,5}
   '';
 